function [Q,pi0] = CTMC_SR(lambdaB,lambdaR,muB,muR)
%CTMC_SR infinitesimal generator matrix and initial probability vector
% of the System Redundancy (SR) Continuous Time Markov Chain (CTMC)
%   lambdaB : battery failure rate
%   lambdaR : rectifier failure rate
%   muB     : battery recovery rate
%   muR     : rectifier recovery rate

lambda = lambdaB + lambdaR;

R = zeros(3,3);
R(1,2) = 2*lambda;
R(2,1) = 2*muB;
R(2,3) = lambda;

% % Plot reliability model
% D= digraph(R);
% Plot = plot(D);
% highlight(Plot,3,'NodeColor','r');
% highlight(Plot,'Edges',inedges(D,3)','EdgeColor','r');

R(3,2) = muB;

Q = R - diag(R*ones(3,1));

pi0 = zeros(1,3);
pi0(1) = 1;

end