function [Q,pi0] = CTMC_SR(lambdaB,lambdaR,muB,muR)
%CTMC_SR infinitesimal generator matrix and initial probability vector
% of the System Redundancy (SR) CMTC
%   lambdaB : battery failure rate
%   lambdaR : rectifier failure rate
%   muB     : battery recovery rate
%   muR     : rectifier recovery rate

R = zeros(3,3);
R(1,2) = 2*lambdaB;
R(2,1) = muB;% if there are two independent teams 2*muB;
R(2,3) = lambdaB;
R(3,2) = muB;

Q = R - diag(R*ones(3,1));

pi0 = zeros(1,3);
pi0(1) = 1;

end